import unittest
from jose import jwe
import os
import json

JWT_PUB_KEY = os.environ["JWT_PUB_KEY"]
JWT_PRIV_KEY = os.environ["JWT_PRIV_KEY"]

class JweTestMethods(unittest.TestCase):
    def test_encryptDecrypt(self):
        inObj = {"application":"test", "login":"wn", "password":"joshua"}
        plainText = json.dumps(inObj)

        cryptText = jwe.encrypt(plainText, JWT_PUB_KEY, "A256GCM", "RSA-OAEP")
        print(cryptText)

        clearText = jwe.decrypt(cryptText, JWT_PRIV_KEY)
        print(clearText)

        outObj = json.loads(clearText)
        print(outObj)

        self.assertEqual(outObj, inObj)



if __name__ == '__main__':
    unittest.main()
